Bug 688433 - System accounts created with useradd may have their umask set to 002 or 022 by /etc/bashrc
System accounts created with useradd may have their umask set to 002 or 022 b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
13
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-16 22:44 EDT by Morgan Weetman
Modified: 2011-06-27 07:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 07:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Morgan Weetman 2011-03-16 22:44:35 EDT
Description of problem:
System accounts created with useradd may have a different umask set by /etc/bashrc depending on whether the uid is <=199 or >199. Useradd will create system accounts with uid < UID_MIN because the 'SYS_..' directives are not set by default in /etc/login.defs. 

Resolution/s:
1. Set SYS_UID_MIN, SYS_UID_MAX, SYS_GID_MIN and SYS_GID_MAX in /etc/login.defs 
----------------------------------
#
# Min/max values for automatic system uid selection in useradd
#
SYS_UID_MIN		    1
SYS_UID_MAX		  199

#
# Min/max values for automatic system gid selection in groupadd
#
SYS_GID_MIN		    1
SYS_GID_MAX		  199	
----------------------------------

NB: setting SYS_UID_MIN or SYS_GID_MIN to 0 will result in useradd segfaulting


2. Change /etc/bashrc line 19 from:

if [ $UID -gt 199 ] && [ "`id -gn`" = "`id -un`" ]; then

to:
if [ $UID -gt 499 ] && [ "`id -gn`" = "`id -un`" ]; then


Version-Release number of selected component (if applicable):
shadow-utils-4.1.4.2-8.fc13.x86_64
Comment 1 Bug Zapper 2011-05-30 06:58:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 07:59:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.